Bug 1373850 - [RFE] it's impossible to Provision VMs if VMs view is opened through Providers or Clusters,etc. views
Summary: [RFE] it's impossible to Provision VMs if VMs view is opened through Provider...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Leo Khomenko
URL:
Whiteboard: general:usability
Depends On:
Blocks: 1386342
TreeView+ depends on / blocked
 
Reported: 2016-09-07 09:28 UTC by Ievgen Zapolskyi
Modified: 2017-05-31 14:21 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.1
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1386342 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:21:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
VMs view via different paths (154.15 KB, image/png)
2016-09-07 09:28 UTC, Ievgen Zapolskyi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ievgen Zapolskyi 2016-09-07 09:28:43 UTC
Created attachment 1198611 [details]
VMs view via different paths

Description of problem:
When I open VMs view via Providers,Clusters or other view, Lifecycle menu doesn't have Provision VMs menu item.

I suppose there are other similar issues exist.
Generally, the issue is when I reach the same/similar views like VMs using different paths, I see different menus and menu items.
That's quite unobvious and confusing. It contradicts any Human Interface Guidelines.

How reproducible:
always

Steps to Reproduce:
1. Add any provider in CFME and refresh relationships
2. Open Compute->Cloud/Infrastructure->VMs view
3. Check Lifecycle menu
4. Open Compute->Cloud/Infrastructure->Providers view
5. Click recently added provider
6. Click VMs and Instances
7. Check Lifecycle menu

Actual results:
Lifecycle menu contained Provision VMs menu items in step 3
Lifecycle menu didn't contain Provision VMs menu item in step 7

Expected results:
Minimal fix:
Concerning mentioned above case, VMs view should have Provision VMs view.
Max fix:
 The same/similar views should have same functionality (menus/menu items) available no matter what path was used to open them.


Additional info:

Comment 4 Harpreet Kataria 2016-09-27 13:37:10 UTC
Brian,

When going to list of VMs or Instances thru Provider or any other relationships, code in https://github.com/ManageIQ/manageiq/blob/master/app/helpers/application_helper/toolbar_builder.rb#L538 is preventing from displaying "Provision VMs" button, can you please look into this. We usually do not show Add/New object button on list views when viewing a list thru relationships but this is a different case, my take on this is to change the condition to 
return true if id.ends_with?("_new", "_discover") &&                   @lastaction == "show" && !["main", "vms"].include?(@display) to fix the issue but we can test that out or discuss if there are better solutions.

Let me know if you have questions.

Thanks,
~Harpreet

Comment 6 CFME Bot 2016-10-12 08:51:04 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d9e10a2f6ca64487c16614e38eb807385af1cf47

commit d9e10a2f6ca64487c16614e38eb807385af1cf47
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Oct 11 14:15:04 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Oct 11 14:48:04 2016 -0400

    Enable Provision VMs button via Provider - VMs/Instances
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1373850

 app/helpers/application_helper/toolbar_builder.rb       |  2 +-
 spec/helpers/application_helper/toolbar_builder_spec.rb | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 7 CFME Bot 2016-10-17 16:21:15 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/6b155cda4eaffccb2f40f98ffb5a7a022b1007a2

commit 6b155cda4eaffccb2f40f98ffb5a7a022b1007a2
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Oct 12 10:50:08 2016 +0200
Commit:     Oleg Barenboim <chessbyte@gmail.com>
CommitDate: Thu Oct 13 16:46:54 2016 -0400

    Merge pull request #11836 from bmclaughlin/enable-provision-vms-button-via-providers
    
    Enable Provision VMs button via relationships
    (cherry picked from commit d4c3ca6f9fa7d16e1ab87ae164659bab492bedb0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1373850

 app/helpers/application_helper/toolbar_builder.rb       |  2 +-
 spec/helpers/application_helper/toolbar_builder_spec.rb | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 10 CFME Bot 2017-02-07 10:18:00 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/cb8d2af0bcd555fd2fc0be936e9f959ca832d11e

commit cb8d2af0bcd555fd2fc0be936e9f959ca832d11e
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Fri Feb 3 13:39:12 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Fri Feb 3 16:06:09 2017 -0500

    Enable 'Provision VMs' button in Datastores and Clusters
    
    Also added specs for 2 additional instances of the Provision VMs button
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1373850

 app/helpers/application_helper/toolbar_builder.rb      |  2 +-
 .../helpers/application_helper/toolbar_builder_spec.rb | 18 ++++++++++--------
 2 files changed, 11 insertions(+), 9 deletions(-)

Comment 11 CFME Bot 2017-02-07 10:18:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/52ef36e021a49466ca46e90e7ea8c75946595177

commit 52ef36e021a49466ca46e90e7ea8c75946595177
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Fri Feb 3 14:28:32 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Fri Feb 3 16:06:09 2017 -0500

    miq-bot adjustment
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1373850

 spec/helpers/application_helper/toolbar_builder_spec.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 errata-xmlrpc 2017-05-31 14:21:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.